Subject: Re: [PATCH] [1/2many] - FInd the maintainer(s) for a patch - scripts/get_maintainer.pl

From: Rene Herman <[email-masked]>
Date: Wed, 15 Aug 2007 15:39:44 +0200

On 08/15/2007 03:33 PM, Satyam Sharma wrote:

[ git info --maintainer ]

> I'd really _love_ a tool that does all that what you've proposed above!
> 
> But why does it have to be "git-info" or anything in the git(7) suite for
> that matter? This sounds like a job for a different specialised tool, 
> along with ".metatags" kind of files dispersed in the source tree.

To automatically move (and delete) the meta-data alongside the files 
themselves is a reason.

More generally -- shouldn't it? This is about source management (well, maybe 
more about project management, but...) and the source code management tool 
looks to be the right place for that. The different parts of git are 
somewhat/fairly stand-alone as is, no?

Rene.